curl --request POST \
--url https://east.sandbox.spade.com/transactions/cards/enrich/parse \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"userId": "user_id_123456789",
"amount": "25.23",
"currencyCode": "USD",
"occurredAt": "2022-06-15 18:27:51Z",
"categoryCode": "5812",
"location": {
"address": "1234 W 5th Ave Suite 100",
"city": "New York",
"region": "NY",
"country": "USA",
"postalCode": "10001",
"latitude": 45,
"longitude": 120
},
"merchantName": "Amazon",
"organizationId": "organization_id_123",
"programId": "program_id_123",
"cardId": "card_id_123456789",
"cardFirstSix": "123456",
"cardLastFour": "7890",
"transactionId": "transaction_id_123456789",
"acquirerId": "000000000123456",
"categoryType": "MCC",
"billingProfile": "standard",
"customAttributes": {
"custom_attribute_1": "value_1",
"custom_attribute_2": "value_2"
},
"de43": "WALMART.COM BENTONVILLE ARUS"
}
'import requests
url = "https://east.sandbox.spade.com/transactions/cards/enrich/parse"
payload = {
"userId": "user_id_123456789",
"amount": "25.23",
"currencyCode": "USD",
"occurredAt": "2022-06-15 18:27:51Z",
"categoryCode": "5812",
"location": {
"address": "1234 W 5th Ave Suite 100",
"city": "New York",
"region": "NY",
"country": "USA",
"postalCode": "10001",
"latitude": 45,
"longitude": 120
},
"merchantName": "Amazon",
"organizationId": "organization_id_123",
"programId": "program_id_123",
"cardId": "card_id_123456789",
"cardFirstSix": "123456",
"cardLastFour": "7890",
"transactionId": "transaction_id_123456789",
"acquirerId": "000000000123456",
"categoryType": "MCC",
"billingProfile": "standard",
"customAttributes": {
"custom_attribute_1": "value_1",
"custom_attribute_2": "value_2"
},
"de43": "WALMART.COM BENTONVILLE ARUS"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: 'user_id_123456789',
amount: '25.23',
currencyCode: 'USD',
occurredAt: '2022-06-15 18:27:51Z',
categoryCode: '5812',
location: {
address: '1234 W 5th Ave Suite 100',
city: 'New York',
region: 'NY',
country: 'USA',
postalCode: '10001',
latitude: 45,
longitude: 120
},
merchantName: 'Amazon',
organizationId: 'organization_id_123',
programId: 'program_id_123',
cardId: 'card_id_123456789',
cardFirstSix: '123456',
cardLastFour: '7890',
transactionId: 'transaction_id_123456789',
acquirerId: '000000000123456',
categoryType: 'MCC',
billingProfile: 'standard',
customAttributes: {custom_attribute_1: 'value_1', custom_attribute_2: 'value_2'},
de43: 'WALMART.COM BENTONVILLE ARUS'
})
};
fetch('https://east.sandbox.spade.com/transactions/cards/enrich/parse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://east.sandbox.spade.com/transactions/cards/enrich/parse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => 'user_id_123456789',
'amount' => '25.23',
'currencyCode' => 'USD',
'occurredAt' => '2022-06-15 18:27:51Z',
'categoryCode' => '5812',
'location' => [
'address' => '1234 W 5th Ave Suite 100',
'city' => 'New York',
'region' => 'NY',
'country' => 'USA',
'postalCode' => '10001',
'latitude' => 45,
'longitude' => 120
],
'merchantName' => 'Amazon',
'organizationId' => 'organization_id_123',
'programId' => 'program_id_123',
'cardId' => 'card_id_123456789',
'cardFirstSix' => '123456',
'cardLastFour' => '7890',
'transactionId' => 'transaction_id_123456789',
'acquirerId' => '000000000123456',
'categoryType' => 'MCC',
'billingProfile' => 'standard',
'customAttributes' => [
'custom_attribute_1' => 'value_1',
'custom_attribute_2' => 'value_2'
],
'de43' => 'WALMART.COM BENTONVILLE ARUS'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://east.sandbox.spade.com/transactions/cards/enrich/parse"
payload := strings.NewReader("{\n \"userId\": \"user_id_123456789\",\n \"amount\": \"25.23\",\n \"currencyCode\": \"USD\",\n \"occurredAt\": \"2022-06-15 18:27:51Z\",\n \"categoryCode\": \"5812\",\n \"location\": {\n \"address\": \"1234 W 5th Ave Suite 100\",\n \"city\": \"New York\",\n \"region\": \"NY\",\n \"country\": \"USA\",\n \"postalCode\": \"10001\",\n \"latitude\": 45,\n \"longitude\": 120\n },\n \"merchantName\": \"Amazon\",\n \"organizationId\": \"organization_id_123\",\n \"programId\": \"program_id_123\",\n \"cardId\": \"card_id_123456789\",\n \"cardFirstSix\": \"123456\",\n \"cardLastFour\": \"7890\",\n \"transactionId\": \"transaction_id_123456789\",\n \"acquirerId\": \"000000000123456\",\n \"categoryType\": \"MCC\",\n \"billingProfile\": \"standard\",\n \"customAttributes\": {\n \"custom_attribute_1\": \"value_1\",\n \"custom_attribute_2\": \"value_2\"\n },\n \"de43\": \"WALMART.COM BENTONVILLE ARUS\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://east.sandbox.spade.com/transactions/cards/enrich/parse")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"user_id_123456789\",\n \"amount\": \"25.23\",\n \"currencyCode\": \"USD\",\n \"occurredAt\": \"2022-06-15 18:27:51Z\",\n \"categoryCode\": \"5812\",\n \"location\": {\n \"address\": \"1234 W 5th Ave Suite 100\",\n \"city\": \"New York\",\n \"region\": \"NY\",\n \"country\": \"USA\",\n \"postalCode\": \"10001\",\n \"latitude\": 45,\n \"longitude\": 120\n },\n \"merchantName\": \"Amazon\",\n \"organizationId\": \"organization_id_123\",\n \"programId\": \"program_id_123\",\n \"cardId\": \"card_id_123456789\",\n \"cardFirstSix\": \"123456\",\n \"cardLastFour\": \"7890\",\n \"transactionId\": \"transaction_id_123456789\",\n \"acquirerId\": \"000000000123456\",\n \"categoryType\": \"MCC\",\n \"billingProfile\": \"standard\",\n \"customAttributes\": {\n \"custom_attribute_1\": \"value_1\",\n \"custom_attribute_2\": \"value_2\"\n },\n \"de43\": \"WALMART.COM BENTONVILLE ARUS\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://east.sandbox.spade.com/transactions/cards/enrich/parse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"user_id_123456789\",\n \"amount\": \"25.23\",\n \"currencyCode\": \"USD\",\n \"occurredAt\": \"2022-06-15 18:27:51Z\",\n \"categoryCode\": \"5812\",\n \"location\": {\n \"address\": \"1234 W 5th Ave Suite 100\",\n \"city\": \"New York\",\n \"region\": \"NY\",\n \"country\": \"USA\",\n \"postalCode\": \"10001\",\n \"latitude\": 45,\n \"longitude\": 120\n },\n \"merchantName\": \"Amazon\",\n \"organizationId\": \"organization_id_123\",\n \"programId\": \"program_id_123\",\n \"cardId\": \"card_id_123456789\",\n \"cardFirstSix\": \"123456\",\n \"cardLastFour\": \"7890\",\n \"transactionId\": \"transaction_id_123456789\",\n \"acquirerId\": \"000000000123456\",\n \"categoryType\": \"MCC\",\n \"billingProfile\": \"standard\",\n \"customAttributes\": {\n \"custom_attribute_1\": \"value_1\",\n \"custom_attribute_2\": \"value_2\"\n },\n \"de43\": \"WALMART.COM BENTONVILLE ARUS\"\n}"
response = http.request(request)
puts response.read_body{
"transactionInfo": {
"transferInfo": null,
"isAccountVerification": false,
"isPeerToPeer": false,
"isDigitalWallet": false,
"type": "spending",
"subType": null,
"display": {
"name": "Amazon",
"categoryName": "Online Marketplace",
"graphic": "https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png",
"graphicSource": "counterparty"
},
"thirdParties": [
{
"id": "ac48cef2-0d7f-4159-865e-e92b152262bc",
"name": "Paypal",
"type": "payment_processor",
"logo": "https://static.v2.spadeapi.com/logos/9063bc0f0a3f4b1fbf644f9862e17002/light.png",
"website": "https://www.paypal.com/"
}
],
"spendingInfo": {
"channel": {
"value": "digital"
}
},
"atmInfo": null,
"transactionId": "transaction_id_123456789",
"recurrenceInfo": {
"intervalType": "weekly",
"intervalDays": 30,
"nextPaymentExpected": "2024-08-07",
"recentRecurrences": [
"<array>"
]
},
"riskInsights": {
"irregularWebPresenceDetected": false,
"negativeOnlineSentiment": false,
"highRiskEntity": false,
"riskyIndustry": false,
"cardAcceptanceHistory": "extensive"
}
},
"enrichmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterparty": [
{
"id": "704bbd58-fb12-4bdb-9aae-2786704ea92a",
"name": "Amazon",
"legalName": "Amazon Inc.",
"industry": [
{
"id": "011-000-000-000",
"name": "Retail",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
}
],
"matchScore": 93.5,
"location": [
{
"id": "fdf79470-3deb-4638-956a-6859e473b9d8",
"address": "1234 W 5th Ave Suite 100",
"addressLine1": "1234 W 5th Ave",
"addressLine2": "Suite 100",
"city": "New York",
"region": "NY",
"country": "USA",
"postalCode": "10001",
"latitude": 45,
"longitude": 120,
"phoneNumber": "+18664862360",
"matchScore": 93.5
}
],
"logo": "https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png",
"phoneNumber": "+18664862360",
"website": "https://www.amazon.com",
"possibleCounterpartyAlternate": {
"id": "49fd51a1-5a19-3e5d-8d28-eb056ecf8939",
"similarity": 80
}
}
],
"mobileAppInfo": {
"id": "704bbd58-fb12-4bdb-9aae-2786704ea92a",
"name": "Roblox",
"url": "https://play.google.com/store/apps/details?id=com.roblox.client",
"logo": "https://static.v2.spadeapi.com/logos/58c03a73629c46b8aa4c1e15cb4f0d0b/light.png",
"developerName": "Roblox Corporation",
"developerId": "704bbd58-fb12-4bdb-9aae-2786704ea92a",
"category": "Auto and Transportation",
"hasGamblingOrRewards": false,
"hasSimulatedGambling": false,
"ageRating": "Teen"
},
"customAttributes": {
"custom_attribute_1": "value_1",
"custom_attribute_2": "value_2"
},
"actions": [
{
"id": "trigger-12345",
"type": "merchant_trigger",
"action": {
"type": "REWARD",
"rewardPercent": 5
},
"scope": "account",
"source": "counterparty"
}
]
}{
"invalidField": [
"This field is required."
]
}{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Enrich a card transaction with an unparsed de43
Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body.
This otherwise endpoint is identical to /transactions/cards/enrich except that city and merchantName are now
optional, but only when de43 is included. Note: Because DE43 format is not consistent between sources, we recommend parsing
your own data and using /transactions/cards/enrich/ if possible.
Note that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.
curl --request POST \
--url https://east.sandbox.spade.com/transactions/cards/enrich/parse \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"userId": "user_id_123456789",
"amount": "25.23",
"currencyCode": "USD",
"occurredAt": "2022-06-15 18:27:51Z",
"categoryCode": "5812",
"location": {
"address": "1234 W 5th Ave Suite 100",
"city": "New York",
"region": "NY",
"country": "USA",
"postalCode": "10001",
"latitude": 45,
"longitude": 120
},
"merchantName": "Amazon",
"organizationId": "organization_id_123",
"programId": "program_id_123",
"cardId": "card_id_123456789",
"cardFirstSix": "123456",
"cardLastFour": "7890",
"transactionId": "transaction_id_123456789",
"acquirerId": "000000000123456",
"categoryType": "MCC",
"billingProfile": "standard",
"customAttributes": {
"custom_attribute_1": "value_1",
"custom_attribute_2": "value_2"
},
"de43": "WALMART.COM BENTONVILLE ARUS"
}
'import requests
url = "https://east.sandbox.spade.com/transactions/cards/enrich/parse"
payload = {
"userId": "user_id_123456789",
"amount": "25.23",
"currencyCode": "USD",
"occurredAt": "2022-06-15 18:27:51Z",
"categoryCode": "5812",
"location": {
"address": "1234 W 5th Ave Suite 100",
"city": "New York",
"region": "NY",
"country": "USA",
"postalCode": "10001",
"latitude": 45,
"longitude": 120
},
"merchantName": "Amazon",
"organizationId": "organization_id_123",
"programId": "program_id_123",
"cardId": "card_id_123456789",
"cardFirstSix": "123456",
"cardLastFour": "7890",
"transactionId": "transaction_id_123456789",
"acquirerId": "000000000123456",
"categoryType": "MCC",
"billingProfile": "standard",
"customAttributes": {
"custom_attribute_1": "value_1",
"custom_attribute_2": "value_2"
},
"de43": "WALMART.COM BENTONVILLE ARUS"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: 'user_id_123456789',
amount: '25.23',
currencyCode: 'USD',
occurredAt: '2022-06-15 18:27:51Z',
categoryCode: '5812',
location: {
address: '1234 W 5th Ave Suite 100',
city: 'New York',
region: 'NY',
country: 'USA',
postalCode: '10001',
latitude: 45,
longitude: 120
},
merchantName: 'Amazon',
organizationId: 'organization_id_123',
programId: 'program_id_123',
cardId: 'card_id_123456789',
cardFirstSix: '123456',
cardLastFour: '7890',
transactionId: 'transaction_id_123456789',
acquirerId: '000000000123456',
categoryType: 'MCC',
billingProfile: 'standard',
customAttributes: {custom_attribute_1: 'value_1', custom_attribute_2: 'value_2'},
de43: 'WALMART.COM BENTONVILLE ARUS'
})
};
fetch('https://east.sandbox.spade.com/transactions/cards/enrich/parse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://east.sandbox.spade.com/transactions/cards/enrich/parse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => 'user_id_123456789',
'amount' => '25.23',
'currencyCode' => 'USD',
'occurredAt' => '2022-06-15 18:27:51Z',
'categoryCode' => '5812',
'location' => [
'address' => '1234 W 5th Ave Suite 100',
'city' => 'New York',
'region' => 'NY',
'country' => 'USA',
'postalCode' => '10001',
'latitude' => 45,
'longitude' => 120
],
'merchantName' => 'Amazon',
'organizationId' => 'organization_id_123',
'programId' => 'program_id_123',
'cardId' => 'card_id_123456789',
'cardFirstSix' => '123456',
'cardLastFour' => '7890',
'transactionId' => 'transaction_id_123456789',
'acquirerId' => '000000000123456',
'categoryType' => 'MCC',
'billingProfile' => 'standard',
'customAttributes' => [
'custom_attribute_1' => 'value_1',
'custom_attribute_2' => 'value_2'
],
'de43' => 'WALMART.COM BENTONVILLE ARUS'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://east.sandbox.spade.com/transactions/cards/enrich/parse"
payload := strings.NewReader("{\n \"userId\": \"user_id_123456789\",\n \"amount\": \"25.23\",\n \"currencyCode\": \"USD\",\n \"occurredAt\": \"2022-06-15 18:27:51Z\",\n \"categoryCode\": \"5812\",\n \"location\": {\n \"address\": \"1234 W 5th Ave Suite 100\",\n \"city\": \"New York\",\n \"region\": \"NY\",\n \"country\": \"USA\",\n \"postalCode\": \"10001\",\n \"latitude\": 45,\n \"longitude\": 120\n },\n \"merchantName\": \"Amazon\",\n \"organizationId\": \"organization_id_123\",\n \"programId\": \"program_id_123\",\n \"cardId\": \"card_id_123456789\",\n \"cardFirstSix\": \"123456\",\n \"cardLastFour\": \"7890\",\n \"transactionId\": \"transaction_id_123456789\",\n \"acquirerId\": \"000000000123456\",\n \"categoryType\": \"MCC\",\n \"billingProfile\": \"standard\",\n \"customAttributes\": {\n \"custom_attribute_1\": \"value_1\",\n \"custom_attribute_2\": \"value_2\"\n },\n \"de43\": \"WALMART.COM BENTONVILLE ARUS\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://east.sandbox.spade.com/transactions/cards/enrich/parse")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"user_id_123456789\",\n \"amount\": \"25.23\",\n \"currencyCode\": \"USD\",\n \"occurredAt\": \"2022-06-15 18:27:51Z\",\n \"categoryCode\": \"5812\",\n \"location\": {\n \"address\": \"1234 W 5th Ave Suite 100\",\n \"city\": \"New York\",\n \"region\": \"NY\",\n \"country\": \"USA\",\n \"postalCode\": \"10001\",\n \"latitude\": 45,\n \"longitude\": 120\n },\n \"merchantName\": \"Amazon\",\n \"organizationId\": \"organization_id_123\",\n \"programId\": \"program_id_123\",\n \"cardId\": \"card_id_123456789\",\n \"cardFirstSix\": \"123456\",\n \"cardLastFour\": \"7890\",\n \"transactionId\": \"transaction_id_123456789\",\n \"acquirerId\": \"000000000123456\",\n \"categoryType\": \"MCC\",\n \"billingProfile\": \"standard\",\n \"customAttributes\": {\n \"custom_attribute_1\": \"value_1\",\n \"custom_attribute_2\": \"value_2\"\n },\n \"de43\": \"WALMART.COM BENTONVILLE ARUS\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://east.sandbox.spade.com/transactions/cards/enrich/parse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"user_id_123456789\",\n \"amount\": \"25.23\",\n \"currencyCode\": \"USD\",\n \"occurredAt\": \"2022-06-15 18:27:51Z\",\n \"categoryCode\": \"5812\",\n \"location\": {\n \"address\": \"1234 W 5th Ave Suite 100\",\n \"city\": \"New York\",\n \"region\": \"NY\",\n \"country\": \"USA\",\n \"postalCode\": \"10001\",\n \"latitude\": 45,\n \"longitude\": 120\n },\n \"merchantName\": \"Amazon\",\n \"organizationId\": \"organization_id_123\",\n \"programId\": \"program_id_123\",\n \"cardId\": \"card_id_123456789\",\n \"cardFirstSix\": \"123456\",\n \"cardLastFour\": \"7890\",\n \"transactionId\": \"transaction_id_123456789\",\n \"acquirerId\": \"000000000123456\",\n \"categoryType\": \"MCC\",\n \"billingProfile\": \"standard\",\n \"customAttributes\": {\n \"custom_attribute_1\": \"value_1\",\n \"custom_attribute_2\": \"value_2\"\n },\n \"de43\": \"WALMART.COM BENTONVILLE ARUS\"\n}"
response = http.request(request)
puts response.read_body{
"transactionInfo": {
"transferInfo": null,
"isAccountVerification": false,
"isPeerToPeer": false,
"isDigitalWallet": false,
"type": "spending",
"subType": null,
"display": {
"name": "Amazon",
"categoryName": "Online Marketplace",
"graphic": "https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png",
"graphicSource": "counterparty"
},
"thirdParties": [
{
"id": "ac48cef2-0d7f-4159-865e-e92b152262bc",
"name": "Paypal",
"type": "payment_processor",
"logo": "https://static.v2.spadeapi.com/logos/9063bc0f0a3f4b1fbf644f9862e17002/light.png",
"website": "https://www.paypal.com/"
}
],
"spendingInfo": {
"channel": {
"value": "digital"
}
},
"atmInfo": null,
"transactionId": "transaction_id_123456789",
"recurrenceInfo": {
"intervalType": "weekly",
"intervalDays": 30,
"nextPaymentExpected": "2024-08-07",
"recentRecurrences": [
"<array>"
]
},
"riskInsights": {
"irregularWebPresenceDetected": false,
"negativeOnlineSentiment": false,
"highRiskEntity": false,
"riskyIndustry": false,
"cardAcceptanceHistory": "extensive"
}
},
"enrichmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterparty": [
{
"id": "704bbd58-fb12-4bdb-9aae-2786704ea92a",
"name": "Amazon",
"legalName": "Amazon Inc.",
"industry": [
{
"id": "011-000-000-000",
"name": "Retail",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
}
],
"matchScore": 93.5,
"location": [
{
"id": "fdf79470-3deb-4638-956a-6859e473b9d8",
"address": "1234 W 5th Ave Suite 100",
"addressLine1": "1234 W 5th Ave",
"addressLine2": "Suite 100",
"city": "New York",
"region": "NY",
"country": "USA",
"postalCode": "10001",
"latitude": 45,
"longitude": 120,
"phoneNumber": "+18664862360",
"matchScore": 93.5
}
],
"logo": "https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png",
"phoneNumber": "+18664862360",
"website": "https://www.amazon.com",
"possibleCounterpartyAlternate": {
"id": "49fd51a1-5a19-3e5d-8d28-eb056ecf8939",
"similarity": 80
}
}
],
"mobileAppInfo": {
"id": "704bbd58-fb12-4bdb-9aae-2786704ea92a",
"name": "Roblox",
"url": "https://play.google.com/store/apps/details?id=com.roblox.client",
"logo": "https://static.v2.spadeapi.com/logos/58c03a73629c46b8aa4c1e15cb4f0d0b/light.png",
"developerName": "Roblox Corporation",
"developerId": "704bbd58-fb12-4bdb-9aae-2786704ea92a",
"category": "Auto and Transportation",
"hasGamblingOrRewards": false,
"hasSimulatedGambling": false,
"ageRating": "Teen"
},
"customAttributes": {
"custom_attribute_1": "value_1",
"custom_attribute_2": "value_2"
},
"actions": [
{
"id": "trigger-12345",
"type": "merchant_trigger",
"action": {
"type": "REWARD",
"rewardPercent": 5
},
"scope": "account",
"source": "counterparty"
}
]
}{
"invalidField": [
"This field is required."
]
}{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Body
An ID representing the organization associated with this transaction. Use this field if you are enriching transactions on behalf of other organizations. Used for billing purposes and for scoping products such as action triggers and category personalizations at the organization-level. For more info, see Supporting multiple data sources and clients
256"organization_id_123"
The category system that categoryCode is a part of. Optional; if omitted it defaults to MCC. Do not send null or an empty string — when the field is present it must be a valid, non-empty value (MCC).
MCC 1 - 32"MCC"
An optional billing profile for this transaction. When set to "resell", the organizationId field is required. For more information, see Supporting multiple data sources and clients
standard, resell "standard"
A dictionary containing custom attributes that you would like to be returned in the response.
Please ensure this object does not contain any PII.
Restrictions include: customAttributes must be an object, up 30 custom attributes are allowed, each key must be a string <= 40 characters in length, and each value must be a string <= 250 characters in length.
Show child attributes
Show child attributes
{
"custom_attribute_1": "value_1",
"custom_attribute_2": "value_2"
}
A well formatted de43 message. If parsable the parsed data (merchantName, city, state) will take precedence over the corresponding fields in the request body. The parser expects an unedited de43, please do not remove special characters or spaces. Our parser currently only supports US transactions.
100"WALMART.COM BENTONVILLE ARUS"
Response
Successful operation
An array of triggered actions, or null if no triggers matched.
This field is only present if your integration has the actions feature enabled.
When a transaction matches one or more registered triggers, this array contains the action details including your custom action data.
Show child attributes
Show child attributes
[
{
"id": "trigger-12345",
"type": "merchant_trigger",
"action": { "type": "REWARD", "rewardPercent": 5 },
"scope": "account",
"source": "counterparty"
}
]

